Groovy Documentation

## groovy.lang
[Java] Class ExpandoMetaClass.ExpandoMetaConstructor

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.ExpandoMetaClass.ExpandoMetaConstructor

    protected class ExpandoMetaClass.ExpandoMetaConstructor
    extends GroovyObjectSupport

Handles the ability to use the left shift operator to append new constructors

Authors:
  Graeme Rocher

Method Summary
`java.lang.Object` | `leftShift(Closure c)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### leftShift

    public java.lang.Object leftShift(Closure c)

Groovy Documentation